Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface PoemType

All Known Subinterfaces:
  RichPointerType.Poem, RichTextType.Poem

All Known Implementing Classes:
  PoemTypeImpl, RichPointerTypeImpl.PoemImpl, RichTextTypeImpl.PoemImpl

    public interface PoemType

Java content class for poemType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 658)

     <complexType name="poemType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="title" type="{http://infoml.org/infomlFile}multipleLinesType" minOccurs="0"/>
             <element name="author" type="{http://infoml.org/infomlFile}agentType" maxOccurs="unbounded"/>
             <element name="stanza" type="{http://infoml.org/infomlFile}multipleLinesType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.util.List` | `getAuthor()` Gets the value of the Author property.
`java.util.List` | `getStanza()` Gets the value of the Stanza property.
`MultipleLinesType` | `getTitle()` Gets the value of the title property.
`void` | `setTitle(MultipleLinesType value)` Sets the value of the title property.

Method Detail

### getStanza

    java.util.List getStanza()

  Gets the value of the Stanza property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Stanza property.

  For example, to add a new item, do as follows:

          getStanza().add(newItem);

  Objects of the following type(s) are allowed in the list `MultipleLinesType`

### getAuthor

    java.util.List getAuthor()

  Gets the value of the Author property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Author property.

  For example, to add a new item, do as follows:

          getAuthor().add(newItem);

  Objects of the following type(s) are allowed in the list `AgentType`

### getTitle

    MultipleLinesType getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `MultipleLinesType`

### setTitle

    void setTitle(MultipleLinesType value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `MultipleLinesType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD